<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.execution.testgen"
   name="%NAME"
   version="3.0.0"
   provider-name="Eclipse.org"
   class="org.eclipse.hyades.execution.testgen.TestgenPlugin">

   <runtime>
      <library name="hextgen.jar">
              <export name="*"/> 
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="org.eclipse.ui.workbench"/> 
      <import plugin="org.eclipse.ui.ide"/>            
      <import plugin="org.eclipse.jface"/>                 
      <import plugin="org.eclipse.hyades.ui"/>
      <import plugin="org.eclipse.emf.ecore"/>
      <import plugin="org.eclipse.emf.ecore.xmi"/>
      <import plugin="org.eclipse.emf.common"/>
      <import plugin="org.eclipse.hyades.models.trace"/>
      <import plugin="org.eclipse.emf"/>
      <import plugin="org.eclipse.hyades.test.http"/>
      <import plugin="org.eclipse.hyades.models.common"/>
      <import plugin="org.eclipse.hyades.test.common"/>
      <import plugin="org.eclipse.hyades.test.ui"/>
      <import plugin="org.eclipse.hyades.test.java"/>
   </requires>

   <extension-point id="TestGenerator" name="%TestGenerator_Extension_Point_Name" schema="schema/org.eclipse.hyades.loadtest.testgenerator.exsd"/>

   <extension
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            objectClass="org.eclipse.core.resources.IFile"
            nameFilter="*.recmodel"
            id="org.eclipse.hyades.loadtest.testgen.genTest">
         <action
               label="%GENERATE_TEST_MENUITEM_LABEL"
               icon="icons/generate_test.gif"
               tooltip="%GENERATE_TEST_TOOLTIP"
               class="org.eclipse.hyades.internal.execution.testgen.ui.actions.GenerateTestActionDelegate"
               menubarPath="additions"
               id="org.eclipse.hyades.internal.execution.testgen.http.action1">
         </action>
      </objectContribution>
   </extension>

</plugin>
